using System;
using System.Data;

namespace AR
{
    public static class SETTING
    {
        public static SystemSetting System;
        public static CountSetting Counter;
        public static CommonSetting Data;
        public static UserSetting User;
        public static Boolean isInit { get; private set; } = false;
        public static void Load()
        {
            if (Data == null) Data = new CommonSetting();
            Data.Load();
            if (User == null) User = new UserSetting();
            User.Load();
            if (System == null) System = new SystemSetting();
            System.Load();
            if (Counter == null) Counter = new CountSetting();
            Counter.Load();
            isInit = true;
        }
        public static void Save()
        {
            Data.Save();
            User.Save();
            System.Save();
            Counter.Save();
        }


    }

}
